Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata
Interface MetadataPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MetadataPackageImpl

    public interface MetadataPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See http://www.w3.org/XML/1998/namespace.html and http://www.w3.org/TR/REC-xml for information about this namespace. This schema document describes the XML namespace, in a form suitable for import by other schema documents. Note that local names in this namespace are intended to be defined only by the World Wide Web Consortium or its subgroups. The following names are currently defined in this namespace and should not be used with conflicting semantics by any Working Group, specification, or document instance: base (as an attribute name): denotes an attribute whose value provides a URI to be used as the base for interpreting any relative URIs in the scope of the element on which it appears; its value is inherited. This name is reserved by virtue of its definition in the XML Base specification. id (as an attribute name): denotes an attribute whose value should be interpreted as if declared to be of type ID. The xml:id specification is not yet a W3C Recommendation, but this attribute is included here to facilitate experimentation with the mechanisms it proposes. Note that it is _not_ included in the specialAttrs attribute group. lang (as an attribute name): denotes an attribute whose value is a language code for the natural language of the content of any element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. space (as an attribute name): denotes an attribute whose value is a keyword indicating what whitespace processing discipline is intended for the content of the element; its value is inherited. This name is reserved by virtue of its definition in the XML specification. Father (in any context at all): denotes Jon Bosak, the chair of the original XML Working Group. This name is reserved by the following decision of the W3C XML Plenary and XML Coordination groups: In appreciation for his vision, leadership and dedication the W3C XML Plenary on this 10th day of February, 2000 reserves for Jon Bosak in perpetuity the XML name xml:Father This schema defines attributes and an attribute group suitable for use by schemas wishing to allow xml:base, xml:lang, xml:space or xml:id attributes on elements they define. To enable this, such a schema must import this schema for the XML namespace, e.g. as follows: <schema . . .> . . . <import namespace="http://www.w3.org/XML/1998/namespace" schemaLocation="http://www.w3.org/2001/xml.xsd"/> Subsequently, qualified reference to any of the attributes or the group defined below will have the desired effect, e.g. <type . . .> . . . <attributeGroup ref="xml:specialAttrs"/> will define a type which will schema-validate an instance element with any of those attributes In keeping with the XML Schema WG's standard versioning policy, this schema document will persist at http://www.w3.org/2005/08/xml.xsd. At the date of issue it can also be found at http://www.w3.org/2001/xml.xsd. The schema document at that URI may however change in the future, in order to remain compatible with the latest version of XML Schema itself, or with the XML namespace itself. In other words, if the XML Schema or XML namespaces change, the version of this document at http://www.w3.org/2001/xml.xsd will change accordingly; the version at http://www.w3.org/2005/08/xml.xsd will not change.

See Also:
  `MetadataFactory`

Nested Class Summary
`static interface` | `MetadataPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `AUTHOR_TYPE` The meta object id for the '`Author Type`' class.
`static int` | `AUTHOR_TYPE__AUTHOR_INSTITUTION` The feature id for the 'Author Institution' containment reference list.
`static int` | `AUTHOR_TYPE__AUTHOR_PERSON` The feature id for the 'Author Person' containment reference.
`static int` | `AUTHOR_TYPE__AUTHOR_ROLE` The feature id for the 'Author Role' attribute list.
`static int` | `AUTHOR_TYPE__AUTHOR_SPECIALITY` The feature id for the 'Author Speciality' attribute list.
`static int` | `AUTHOR_TYPE_FEATURE_COUNT` The number of structural features of the 'Author Type' class.
`static int` | `AVAILABILITY_STATUS_TYPE` The meta object id for the '`Availability Status Type`' enum.
`static int` | `AVAILABILITY_STATUS_TYPE_OBJECT` The meta object id for the 'Availability Status Type Object' data type.
`static int` | `CODED_METADATA_TYPE` The meta object id for the '`Coded Metadata Type`' class.
`static int` | `CODED_METADATA_TYPE__CODE` The feature id for the 'Code' attribute.
`static int` | `CODED_METADATA_TYPE__DISPLAY_NAME` The feature id for the 'Display Name' containment reference.
`static int` | `CODED_METADATA_TYPE__SCHEME_NAME` The feature id for the 'Scheme Name' attribute.
`static int` | `CODED_METADATA_TYPE__SCHEME_UUID` The feature id for the 'Scheme UUID' attribute.
`static int` | `CODED_METADATA_TYPE_FEATURE_COUNT` The number of structural features of the 'Coded Metadata Type' class.
`static int` | `DOCUMENT_ENTRY_TYPE` The meta object id for the '`Document Entry Type`' class.
`static int` | `DOCUMENT_ENTRY_TYPE__AUTHOR` The feature id for the 'Author' containment reference list.
`static int` | `DOCUMENT_ENTRY_TYPE__AVAILABILITY_STATUS` The feature id for the 'Availability Status' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE__CLASS_CODE` The feature id for the 'Class Code' containment reference.
`static int` | `DOCUMENT_ENTRY_TYPE__COMMENTS` The feature id for the 'Comments' containment reference.
`static int` | `DOCUMENT_ENTRY_TYPE__CONFIDENTIALITY_CODE` The feature id for the 'Confidentiality Code' containment reference.
`static int` | `DOCUMENT_ENTRY_TYPE__CREATION_TIME` The feature id for the 'Creation Time' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE__ENTRY_UUID` The feature id for the 'Entry UUID' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE__EVENT_CODE` The feature id for the 'Event Code' containment reference list.
`static int` | `DOCUMENT_ENTRY_TYPE__EXISTING` The feature id for the 'Existing' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE__FORMAT_CODE` The feature id for the 'Format Code' containment reference.
`static int` | `DOCUMENT_ENTRY_TYPE__HASH` The feature id for the 'Hash' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE__HEALTH_CARE_FACILITY_TYPE_CODE` The feature id for the 'Health Care Facility Type Code' containment reference.
`static int` | `DOCUMENT_ENTRY_TYPE__LANGUAGE_CODE` The feature id for the 'Language Code' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE__LEGAL_AUTHENTICATOR` The feature id for the 'Legal Authenticator' containment reference.
`static int` | `DOCUMENT_ENTRY_TYPE__MIME_TYPE` The feature id for the 'Mime Type' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_ID` The feature id for the 'Parent Document Id' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_RELATIONSHIP` The feature id for the 'Parent Document Relationship' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE__PATIENT_ID` The feature id for the 'Patient Id' containment reference.
`static int` | `DOCUMENT_ENTRY_TYPE__PRACTICE_SETTING_CODE` The feature id for the 'Practice Setting Code' containment reference.
`static int` | `DOCUMENT_ENTRY_TYPE__SERVICE_START_TIME` The feature id for the 'Service Start Time' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE__SERVICE_STOP_TIME` The feature id for the 'Service Stop Time' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE__SIZE` The feature id for the 'Size' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_ID` The feature id for the 'Source Patient Id' containment reference.
`static int` | `DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_INFO` The feature id for the 'Source Patient Info' containment reference.
`static int` | `DOCUMENT_ENTRY_TYPE__TITLE` The feature id for the 'Title' containment reference.
`static int` | `DOCUMENT_ENTRY_TYPE__TYPE_CODE` The feature id for the 'Type Code' containment reference.
`static int` | `DOCUMENT_ENTRY_TYPE__UNIQUE_ID` The feature id for the 'Unique Id' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE__URI` The feature id for the 'Uri' attribute.
`static int` | `DOCUMENT_ENTRY_TYPE_FEATURE_COUNT` The number of structural features of the 'Document Entry Type' class.
`static int` | `DOCUMENT_ROOT` The meta object id for the '`Document Root`' class.
`static int` | `DOCUMENT_ROOT__DOCUMENT_ENTRY` The feature id for the 'Document Entry' containment reference.
`static int` | `DOCUMENT_ROOT__FOLDER` The feature id for the 'Folder' containment reference.
`static int` | `DOCUMENT_ROOT__MIXED` The feature id for the 'Mixed' attribute list.
`static int` | `DOCUMENT_ROOT__MULTIPLE_DOCUMENT_SET` The feature id for the 'Multiple Document Set' containment reference.
`static int` | `DOCUMENT_ROOT__PROVIDE_AND_REGISTER_DOCUMENT_SET` The feature id for the 'Provide And Register Document Set' containment reference.
`static int` | `DOCUMENT_ROOT__SUBMISSION_SET` The feature id for the 'Submission Set' containment reference.
`static int` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The feature id for the 'XMLNS Prefix Map' map.
`static int` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The feature id for the 'XSI Schema Location' map.
`static int` | `DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class.
`static MetadataPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `FOLDER_TYPE` The meta object id for the '`Folder Type`' class.
`static int` | `FOLDER_TYPE__ASSOCIATED_DOCUMENTS` The feature id for the 'Associated Documents' attribute list.
`static int` | `FOLDER_TYPE__AVAILABILITY_STATUS` The feature id for the 'Availability Status' attribute.
`static int` | `FOLDER_TYPE__CODE` The feature id for the 'Code' containment reference list.
`static int` | `FOLDER_TYPE__COMMENTS` The feature id for the 'Comments' containment reference.
`static int` | `FOLDER_TYPE__ENTRY_UUID` The feature id for the 'Entry UUID' attribute.
`static int` | `FOLDER_TYPE__EXISTING` The feature id for the 'Existing' attribute.
`static int` | `FOLDER_TYPE__LAST_UPDATE_TIME` The feature id for the 'Last Update Time' attribute.
`static int` | `FOLDER_TYPE__PATIENT_ID` The feature id for the 'Patient Id' containment reference.
`static int` | `FOLDER_TYPE__TITLE` The feature id for the 'Title' containment reference.
`static int` | `FOLDER_TYPE__UNIQUE_ID` The feature id for the 'Unique Id' attribute.
`static int` | `FOLDER_TYPE_FEATURE_COUNT` The number of structural features of the 'Folder Type' class.
`static int` | `INTERNATIONAL_STRING_TYPE` The meta object id for the '`International String Type`' class.
`static int` | `INTERNATIONAL_STRING_TYPE__GROUP` The feature id for the 'Group' attribute list.
`static int` | `INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING` The feature id for the 'Localized String' containment reference list.
`static int` | `INTERNATIONAL_STRING_TYPE_FEATURE_COUNT` The number of structural features of the 'International String Type' class.
`static int` | `LOCALIZED_STRING_TYPE` The meta object id for the '`Localized String Type`' class.
`static int` | `LOCALIZED_STRING_TYPE__CHARSET` The feature id for the 'Charset' attribute.
`static int` | `LOCALIZED_STRING_TYPE__LANG` The feature id for the 'Lang' attribute.
`static int` | `LOCALIZED_STRING_TYPE__VALUE` The feature id for the 'Value' attribute.
`static int` | `LOCALIZED_STRING_TYPE_FEATURE_COUNT` The number of structural features of the 'Localized String Type' class.
`static int` | `MULTIPLE_DOCUMENT_SET_TYPE` The meta object id for the '`Multiple Document Set Type`' class.
`static int` | `MULTIPLE_DOCUMENT_SET_TYPE__DOCUMENT_SET` The feature id for the 'Document Set' containment reference list.
`static int` | `MULTIPLE_DOCUMENT_SET_TYPE_FEATURE_COUNT` The number of structural features of the 'Multiple Document Set Type' class.
`static int` | `OID` The meta object id for the 'Oid' data type.
`static int` | `OID_EXTENSION` The meta object id for the 'Oid Extension' data type.
`static int` | `PARENT_DOCUMENT_RELATIONSHIP_TYPE` The meta object id for the '`Parent Document Relationship Type`' enum.
`static int` | `PARENT_DOCUMENT_RELATIONSHIP_TYPE_OBJECT` The meta object id for the 'Parent Document Relationship Type Object' data type.
`static int` | `PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE` The meta object id for the '`Provide And Register Document Set Type`' class.
`static int` | `PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__DOCUMENT_ENTRY` The feature id for the 'Document Entry' containment reference list.
`static int` | `PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__FOLDER` The feature id for the 'Folder' containment reference list.
`static int` | `PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__SUBMISSION_SET` The feature id for the 'Submission Set' containment reference.
`static int` | `PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE_FEATURE_COUNT` The number of structural features of the 'Provide And Register Document Set Type' class.
`static int` | `SUBMISSION_SET_TYPE` The meta object id for the '`Submission Set Type`' class.
`static int` | `SUBMISSION_SET_TYPE__ASSOCIATED_DOCUMENTS` The feature id for the 'Associated Documents' attribute list.
`static int` | `SUBMISSION_SET_TYPE__ASSOCIATED_FOLDERS` The feature id for the 'Associated Folders' attribute list.
`static int` | `SUBMISSION_SET_TYPE__AUTHOR` The feature id for the 'Author' containment reference list.
`static int` | `SUBMISSION_SET_TYPE__AVAILABILITY_STATUS` The feature id for the 'Availability Status' attribute.
`static int` | `SUBMISSION_SET_TYPE__COMMENTS` The feature id for the 'Comments' containment reference.
`static int` | `SUBMISSION_SET_TYPE__CONTENT_TYPE_CODE` The feature id for the 'Content Type Code' containment reference.
`static int` | `SUBMISSION_SET_TYPE__ENTRY_UUID` The feature id for the 'Entry UUID' attribute.
`static int` | `SUBMISSION_SET_TYPE__PATIENT_ID` The feature id for the 'Patient Id' containment reference.
`static int` | `SUBMISSION_SET_TYPE__SOURCE_ID` The feature id for the 'Source Id' attribute.
`static int` | `SUBMISSION_SET_TYPE__SUBMISSION_TIME` The feature id for the 'Submission Time' attribute.
`static int` | `SUBMISSION_SET_TYPE__TITLE` The feature id for the 'Title' containment reference.
`static int` | `SUBMISSION_SET_TYPE__UNIQUE_ID` The feature id for the 'Unique Id' attribute.
`static int` | `SUBMISSION_SET_TYPE_FEATURE_COUNT` The number of structural features of the 'Submission Set Type' class.
`static int` | `UUID` The meta object id for the 'Uuid' data type.

Method Summary
`org.eclipse.emf.ecore.EReference` | `getAuthorType_AuthorInstitution()` Returns the meta object for the containment reference list '`Author Institution`'.
`org.eclipse.emf.ecore.EReference` | `getAuthorType_AuthorPerson()` Returns the meta object for the containment reference '`Author Person`'.
`org.eclipse.emf.ecore.EAttribute` | `getAuthorType_AuthorRole()` Returns the meta object for the attribute list '`Author Role`'.
`org.eclipse.emf.ecore.EAttribute` | `getAuthorType_AuthorSpeciality()` Returns the meta object for the attribute list '`Author Speciality`'.
`org.eclipse.emf.ecore.EClass` | `getAuthorType()` Returns the meta object for class '`Author Type`'.
`org.eclipse.emf.ecore.EEnum` | `getAvailabilityStatusType()` Returns the meta object for enum '`Availability Status Type`'.
`org.eclipse.emf.ecore.EDataType` | `getAvailabilityStatusTypeObject()` Returns the meta object for data type '`Availability Status Type Object`'.
`org.eclipse.emf.ecore.EAttribute` | `getCodedMetadataType_Code()` Returns the meta object for the attribute '`Code`'.
`org.eclipse.emf.ecore.EReference` | `getCodedMetadataType_DisplayName()` Returns the meta object for the containment reference '`Display Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getCodedMetadataType_SchemeName()` Returns the meta object for the attribute '`Scheme Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getCodedMetadataType_SchemeUUID()` Returns the meta object for the attribute '`Scheme UUID`'.
`org.eclipse.emf.ecore.EClass` | `getCodedMetadataType()` Returns the meta object for class '`Coded Metadata Type`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_Author()` Returns the meta object for the containment reference list '`Author`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_AvailabilityStatus()` Returns the meta object for the attribute '`Availability Status`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_ClassCode()` Returns the meta object for the containment reference '`Class Code`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_Comments()` Returns the meta object for the containment reference '`Comments`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_ConfidentialityCode()` Returns the meta object for the containment reference '`Confidentiality Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_CreationTime()` Returns the meta object for the attribute '`Creation Time`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_EntryUUID()` Returns the meta object for the attribute '`Entry UUID`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_EventCode()` Returns the meta object for the containment reference list '`Event Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_Existing()` Returns the meta object for the attribute '`Existing`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_FormatCode()` Returns the meta object for the containment reference '`Format Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_Hash()` Returns the meta object for the attribute '`Hash`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_HealthCareFacilityTypeCode()` Returns the meta object for the containment reference '`Health Care Facility Type Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_LanguageCode()` Returns the meta object for the attribute '`Language Code`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_LegalAuthenticator()` Returns the meta object for the containment reference '`Legal Authenticator`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_MimeType()` Returns the meta object for the attribute '`Mime Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_ParentDocumentId()` Returns the meta object for the attribute '`Parent Document Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_ParentDocumentRelationship()` Returns the meta object for the attribute '`Parent Document Relationship`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_PatientId()` Returns the meta object for the containment reference '`Patient Id`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_PracticeSettingCode()` Returns the meta object for the containment reference '`Practice Setting Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_ServiceStartTime()` Returns the meta object for the attribute '`Service Start Time`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_ServiceStopTime()` Returns the meta object for the attribute '`Service Stop Time`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_Size()` Returns the meta object for the attribute '`Size`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_SourcePatientId()` Returns the meta object for the containment reference '`Source Patient Id`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_SourcePatientInfo()` Returns the meta object for the containment reference '`Source Patient Info`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_Title()` Returns the meta object for the containment reference '`Title`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentEntryType_TypeCode()` Returns the meta object for the containment reference '`Type Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_UniqueId()` Returns the meta object for the attribute '`Unique Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentEntryType_Uri()` Returns the meta object for the attribute '`Uri`'.
`org.eclipse.emf.ecore.EClass` | `getDocumentEntryType()` Returns the meta object for class '`Document Entry Type`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_DocumentEntry()` Returns the meta object for the containment reference '`Document Entry`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_Folder()` Returns the meta object for the containment reference '`Folder`'.
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()` Returns the meta object for the attribute list '`Mixed`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_MultipleDocumentSet()` Returns the meta object for the containment reference '`Multiple Document Set`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ProvideAndRegisterDocumentSet()` Returns the meta object for the containment reference '`Provide And Register Document Set`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_SubmissionSet()` Returns the meta object for the containment reference '`Submission Set`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()` Returns the meta object for the map '`XMLNS Prefix Map`'.
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()` Returns the meta object for the map '`XSI Schema Location`'.
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()` Returns the meta object for class '`Document Root`'.
`org.eclipse.emf.ecore.EAttribute` | `getFolderType_AssociatedDocuments()` Returns the meta object for the attribute list '`Associated Documents`'.
`org.eclipse.emf.ecore.EAttribute` | `getFolderType_AvailabilityStatus()` Returns the meta object for the attribute '`Availability Status`'.
`org.eclipse.emf.ecore.EReference` | `getFolderType_Code()` Returns the meta object for the containment reference list '`Code`'.
`org.eclipse.emf.ecore.EReference` | `getFolderType_Comments()` Returns the meta object for the containment reference '`Comments`'.
`org.eclipse.emf.ecore.EAttribute` | `getFolderType_EntryUUID()` Returns the meta object for the attribute '`Entry UUID`'.
`org.eclipse.emf.ecore.EAttribute` | `getFolderType_Existing()` Returns the meta object for the attribute '`Existing`'.
`org.eclipse.emf.ecore.EAttribute` | `getFolderType_LastUpdateTime()` Returns the meta object for the attribute '`Last Update Time`'.
`org.eclipse.emf.ecore.EReference` | `getFolderType_PatientId()` Returns the meta object for the containment reference '`Patient Id`'.
`org.eclipse.emf.ecore.EReference` | `getFolderType_Title()` Returns the meta object for the containment reference '`Title`'.
`org.eclipse.emf.ecore.EAttribute` | `getFolderType_UniqueId()` Returns the meta object for the attribute '`Unique Id`'.
`org.eclipse.emf.ecore.EClass` | `getFolderType()` Returns the meta object for class '`Folder Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getInternationalStringType_Group()` Returns the meta object for the attribute list '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getInternationalStringType_LocalizedString()` Returns the meta object for the containment reference list '`Localized String`'.
`org.eclipse.emf.ecore.EClass` | `getInternationalStringType()` Returns the meta object for class '`International String Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getLocalizedStringType_Charset()` Returns the meta object for the attribute '`Charset`'.
`org.eclipse.emf.ecore.EAttribute` | `getLocalizedStringType_Lang()` Returns the meta object for the attribute '`Lang`'.
`org.eclipse.emf.ecore.EAttribute` | `getLocalizedStringType_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getLocalizedStringType()` Returns the meta object for class '`Localized String Type`'.
`MetadataFactory` | `getMetadataFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getMultipleDocumentSetType_DocumentSet()` Returns the meta object for the containment reference list '`Document Set`'.
`org.eclipse.emf.ecore.EClass` | `getMultipleDocumentSetType()` Returns the meta object for class '`Multiple Document Set Type`'.
`org.eclipse.emf.ecore.EDataType` | `getOid()` Returns the meta object for data type '`Oid`'.
`org.eclipse.emf.ecore.EDataType` | `getOidExtension()` Returns the meta object for data type '`Oid Extension`'.
`org.eclipse.emf.ecore.EEnum` | `getParentDocumentRelationshipType()` Returns the meta object for enum '`Parent Document Relationship Type`'.
`org.eclipse.emf.ecore.EDataType` | `getParentDocumentRelationshipTypeObject()` Returns the meta object for data type '`Parent Document Relationship Type Object`'.
`org.eclipse.emf.ecore.EReference` | `getProvideAndRegisterDocumentSetType_DocumentEntry()` Returns the meta object for the containment reference list '`Document Entry`'.
`org.eclipse.emf.ecore.EReference` | `getProvideAndRegisterDocumentSetType_Folder()` Returns the meta object for the containment reference list '`Folder`'.
`org.eclipse.emf.ecore.EReference` | `getProvideAndRegisterDocumentSetType_SubmissionSet()` Returns the meta object for the containment reference '`Submission Set`'.
`org.eclipse.emf.ecore.EClass` | `getProvideAndRegisterDocumentSetType()` Returns the meta object for class '`Provide And Register Document Set Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_AssociatedDocuments()` Returns the meta object for the attribute list '`Associated Documents`'.
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_AssociatedFolders()` Returns the meta object for the attribute list '`Associated Folders`'.
`org.eclipse.emf.ecore.EReference` | `getSubmissionSetType_Author()` Returns the meta object for the containment reference list '`Author`'.
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_AvailabilityStatus()` Returns the meta object for the attribute '`Availability Status`'.
`org.eclipse.emf.ecore.EReference` | `getSubmissionSetType_Comments()` Returns the meta object for the containment reference '`Comments`'.
`org.eclipse.emf.ecore.EReference` | `getSubmissionSetType_ContentTypeCode()` Returns the meta object for the containment reference '`Content Type Code`'.
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_EntryUUID()` Returns the meta object for the attribute '`Entry UUID`'.
`org.eclipse.emf.ecore.EReference` | `getSubmissionSetType_PatientId()` Returns the meta object for the containment reference '`Patient Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_SourceId()` Returns the meta object for the attribute '`Source Id`'.
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_SubmissionTime()` Returns the meta object for the attribute '`Submission Time`'.
`org.eclipse.emf.ecore.EReference` | `getSubmissionSetType_Title()` Returns the meta object for the containment reference '`Title`'.
`org.eclipse.emf.ecore.EAttribute` | `getSubmissionSetType_UniqueId()` Returns the meta object for the attribute '`Unique Id`'.
`org.eclipse.emf.ecore.EClass` | `getSubmissionSetType()` Returns the meta object for class '`Submission Set Type`'.
`org.eclipse.emf.ecore.EDataType` | `getUuid()` Returns the meta object for data type '`Uuid`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final MetadataPackage eINSTANCE

  The singleton instance of the package.

### AUTHOR_TYPE

    static final int AUTHOR_TYPE

  The meta object id for the '`Author Type`' class.

  See Also:
    `AuthorTypeImpl`, `MetadataPackageImpl.getAuthorType()`, Constant Field Values

### AUTHOR_TYPE__AUTHOR_INSTITUTION

    static final int AUTHOR_TYPE__AUTHOR_INSTITUTION

  The feature id for the 'Author Institution' containment reference list.

  See Also:
    Constant Field Values

### AUTHOR_TYPE__AUTHOR_PERSON

    static final int AUTHOR_TYPE__AUTHOR_PERSON

  The feature id for the 'Author Person' containment reference.

  See Also:
    Constant Field Values

### AUTHOR_TYPE__AUTHOR_ROLE

    static final int AUTHOR_TYPE__AUTHOR_ROLE

  The feature id for the 'Author Role' attribute list.

  See Also:
    Constant Field Values

### AUTHOR_TYPE__AUTHOR_SPECIALITY

    static final int AUTHOR_TYPE__AUTHOR_SPECIALITY

  The feature id for the 'Author Speciality' attribute list.

  See Also:
    Constant Field Values

### AUTHOR_TYPE_FEATURE_COUNT

    static final int AUTHOR_TYPE_FEATURE_COUNT

  The number of structural features of the 'Author Type' class.

  See Also:
    Constant Field Values

### CODED_METADATA_TYPE

    static final int CODED_METADATA_TYPE

  The meta object id for the '`Coded Metadata Type`' class.

  See Also:
    `CodedMetadataTypeImpl`, `MetadataPackageImpl.getCodedMetadataType()`, Constant Field Values

### CODED_METADATA_TYPE__CODE

    static final int CODED_METADATA_TYPE__CODE

  The feature id for the 'Code' attribute.

  See Also:
    Constant Field Values

### CODED_METADATA_TYPE__DISPLAY_NAME

    static final int CODED_METADATA_TYPE__DISPLAY_NAME

  The feature id for the 'Display Name' containment reference.

  See Also:
    Constant Field Values

### CODED_METADATA_TYPE__SCHEME_NAME

    static final int CODED_METADATA_TYPE__SCHEME_NAME

  The feature id for the 'Scheme Name' attribute.

  See Also:
    Constant Field Values

### CODED_METADATA_TYPE__SCHEME_UUID

    static final int CODED_METADATA_TYPE__SCHEME_UUID

  The feature id for the 'Scheme UUID' attribute.

  See Also:
    Constant Field Values

### CODED_METADATA_TYPE_FEATURE_COUNT

    static final int CODED_METADATA_TYPE_FEATURE_COUNT

  The number of structural features of the 'Coded Metadata Type' class.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE

    static final int DOCUMENT_ENTRY_TYPE

  The meta object id for the '`Document Entry Type`' class.

  See Also:
    `DocumentEntryTypeImpl`, `MetadataPackageImpl.getDocumentEntryType()`, Constant Field Values

### DOCUMENT_ENTRY_TYPE__AUTHOR

    static final int DOCUMENT_ENTRY_TYPE__AUTHOR

  The feature id for the 'Author' containment reference list.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__AVAILABILITY_STATUS

    static final int DOCUMENT_ENTRY_TYPE__AVAILABILITY_STATUS

  The feature id for the 'Availability Status' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__CLASS_CODE

    static final int DOCUMENT_ENTRY_TYPE__CLASS_CODE

  The feature id for the 'Class Code' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__COMMENTS

    static final int DOCUMENT_ENTRY_TYPE__COMMENTS

  The feature id for the 'Comments' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__CONFIDENTIALITY_CODE

    static final int DOCUMENT_ENTRY_TYPE__CONFIDENTIALITY_CODE

  The feature id for the 'Confidentiality Code' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__CREATION_TIME

    static final int DOCUMENT_ENTRY_TYPE__CREATION_TIME

  The feature id for the 'Creation Time' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__ENTRY_UUID

    static final int DOCUMENT_ENTRY_TYPE__ENTRY_UUID

  The feature id for the 'Entry UUID' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__EVENT_CODE

    static final int DOCUMENT_ENTRY_TYPE__EVENT_CODE

  The feature id for the 'Event Code' containment reference list.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__FORMAT_CODE

    static final int DOCUMENT_ENTRY_TYPE__FORMAT_CODE

  The feature id for the 'Format Code' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__HASH

    static final int DOCUMENT_ENTRY_TYPE__HASH

  The feature id for the 'Hash' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__HEALTH_CARE_FACILITY_TYPE_CODE

    static final int DOCUMENT_ENTRY_TYPE__HEALTH_CARE_FACILITY_TYPE_CODE

  The feature id for the 'Health Care Facility Type Code' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__LANGUAGE_CODE

    static final int DOCUMENT_ENTRY_TYPE__LANGUAGE_CODE

  The feature id for the 'Language Code' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__LEGAL_AUTHENTICATOR

    static final int DOCUMENT_ENTRY_TYPE__LEGAL_AUTHENTICATOR

  The feature id for the 'Legal Authenticator' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__MIME_TYPE

    static final int DOCUMENT_ENTRY_TYPE__MIME_TYPE

  The feature id for the 'Mime Type' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_RELATIONSHIP

    static final int DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_RELATIONSHIP

  The feature id for the 'Parent Document Relationship' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_ID

    static final int DOCUMENT_ENTRY_TYPE__PARENT_DOCUMENT_ID

  The feature id for the 'Parent Document Id' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__PATIENT_ID

    static final int DOCUMENT_ENTRY_TYPE__PATIENT_ID

  The feature id for the 'Patient Id' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__PRACTICE_SETTING_CODE

    static final int DOCUMENT_ENTRY_TYPE__PRACTICE_SETTING_CODE

  The feature id for the 'Practice Setting Code' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__SERVICE_START_TIME

    static final int DOCUMENT_ENTRY_TYPE__SERVICE_START_TIME

  The feature id for the 'Service Start Time' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__SERVICE_STOP_TIME

    static final int DOCUMENT_ENTRY_TYPE__SERVICE_STOP_TIME

  The feature id for the 'Service Stop Time' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_ID

    static final int DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_ID

  The feature id for the 'Source Patient Id' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__SIZE

    static final int DOCUMENT_ENTRY_TYPE__SIZE

  The feature id for the 'Size' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_INFO

    static final int DOCUMENT_ENTRY_TYPE__SOURCE_PATIENT_INFO

  The feature id for the 'Source Patient Info' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__TITLE

    static final int DOCUMENT_ENTRY_TYPE__TITLE

  The feature id for the 'Title' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__TYPE_CODE

    static final int DOCUMENT_ENTRY_TYPE__TYPE_CODE

  The feature id for the 'Type Code' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__UNIQUE_ID

    static final int DOCUMENT_ENTRY_TYPE__UNIQUE_ID

  The feature id for the 'Unique Id' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__URI

    static final int DOCUMENT_ENTRY_TYPE__URI

  The feature id for the 'Uri' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE__EXISTING

    static final int DOCUMENT_ENTRY_TYPE__EXISTING

  The feature id for the 'Existing' attribute.

  See Also:
    Constant Field Values

### DOCUMENT_ENTRY_TYPE_FEATURE_COUNT

    static final int DOCUMENT_ENTRY_TYPE_FEATURE_COUNT

  The number of structural features of the 'Document Entry Type' class.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT

    static final int DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `MetadataPackageImpl.getDocumentRoot()`, Constant Field Values

### DOCUMENT_ROOT__MIXED

    static final int DOCUMENT_ROOT__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final int DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The feature id for the 'XMLNS Prefix Map' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The feature id for the 'XSI Schema Location' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__DOCUMENT_ENTRY

    static final int DOCUMENT_ROOT__DOCUMENT_ENTRY

  The feature id for the 'Document Entry' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__FOLDER

    static final int DOCUMENT_ROOT__FOLDER

  The feature id for the 'Folder' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__MULTIPLE_DOCUMENT_SET

    static final int DOCUMENT_ROOT__MULTIPLE_DOCUMENT_SET

  The feature id for the 'Multiple Document Set' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__PROVIDE_AND_REGISTER_DOCUMENT_SET

    static final int DOCUMENT_ROOT__PROVIDE_AND_REGISTER_DOCUMENT_SET

  The feature id for the 'Provide And Register Document Set' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__SUBMISSION_SET

    static final int DOCUMENT_ROOT__SUBMISSION_SET

  The feature id for the 'Submission Set' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT_FEATURE_COUNT

    static final int DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### FOLDER_TYPE

    static final int FOLDER_TYPE

  The meta object id for the '`Folder Type`' class.

  See Also:
    `FolderTypeImpl`, `MetadataPackageImpl.getFolderType()`, Constant Field Values

### FOLDER_TYPE__ASSOCIATED_DOCUMENTS

    static final int FOLDER_TYPE__ASSOCIATED_DOCUMENTS

  The feature id for the 'Associated Documents' attribute list.

  See Also:
    Constant Field Values

### FOLDER_TYPE__AVAILABILITY_STATUS

    static final int FOLDER_TYPE__AVAILABILITY_STATUS

  The feature id for the 'Availability Status' attribute.

  See Also:
    Constant Field Values

### FOLDER_TYPE__CODE

    static final int FOLDER_TYPE__CODE

  The feature id for the 'Code' containment reference list.

  See Also:
    Constant Field Values

### FOLDER_TYPE__COMMENTS

    static final int FOLDER_TYPE__COMMENTS

  The feature id for the 'Comments' containment reference.

  See Also:
    Constant Field Values

### FOLDER_TYPE__ENTRY_UUID

    static final int FOLDER_TYPE__ENTRY_UUID

  The feature id for the 'Entry UUID' attribute.

  See Also:
    Constant Field Values

### FOLDER_TYPE__LAST_UPDATE_TIME

    static final int FOLDER_TYPE__LAST_UPDATE_TIME

  The feature id for the 'Last Update Time' attribute.

  See Also:
    Constant Field Values

### FOLDER_TYPE__PATIENT_ID

    static final int FOLDER_TYPE__PATIENT_ID

  The feature id for the 'Patient Id' containment reference.

  See Also:
    Constant Field Values

### FOLDER_TYPE__TITLE

    static final int FOLDER_TYPE__TITLE

  The feature id for the 'Title' containment reference.

  See Also:
    Constant Field Values

### FOLDER_TYPE__UNIQUE_ID

    static final int FOLDER_TYPE__UNIQUE_ID

  The feature id for the 'Unique Id' attribute.

  See Also:
    Constant Field Values

### FOLDER_TYPE__EXISTING

    static final int FOLDER_TYPE__EXISTING

  The feature id for the 'Existing' attribute.

  See Also:
    Constant Field Values

### FOLDER_TYPE_FEATURE_COUNT

    static final int FOLDER_TYPE_FEATURE_COUNT

  The number of structural features of the 'Folder Type' class.

  See Also:
    Constant Field Values

### INTERNATIONAL_STRING_TYPE

    static final int INTERNATIONAL_STRING_TYPE

  The meta object id for the '`International String Type`' class.

  See Also:
    `InternationalStringTypeImpl`, `MetadataPackageImpl.getInternationalStringType()`, Constant Field Values

### INTERNATIONAL_STRING_TYPE__GROUP

    static final int INTERNATIONAL_STRING_TYPE__GROUP

  The feature id for the 'Group' attribute list.

  See Also:
    Constant Field Values

### INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING

    static final int INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING

  The feature id for the 'Localized String' containment reference list.

  See Also:
    Constant Field Values

### INTERNATIONAL_STRING_TYPE_FEATURE_COUNT

    static final int INTERNATIONAL_STRING_TYPE_FEATURE_COUNT

  The number of structural features of the 'International String Type' class.

  See Also:
    Constant Field Values

### LOCALIZED_STRING_TYPE

    static final int LOCALIZED_STRING_TYPE

  The meta object id for the '`Localized String Type`' class.

  See Also:
    `LocalizedStringTypeImpl`, `MetadataPackageImpl.getLocalizedStringType()`, Constant Field Values

### LOCALIZED_STRING_TYPE__CHARSET

    static final int LOCALIZED_STRING_TYPE__CHARSET

  The feature id for the 'Charset' attribute.

  See Also:
    Constant Field Values

### LOCALIZED_STRING_TYPE__LANG

    static final int LOCALIZED_STRING_TYPE__LANG

  The feature id for the 'Lang' attribute.

  See Also:
    Constant Field Values

### LOCALIZED_STRING_TYPE__VALUE

    static final int LOCALIZED_STRING_TYPE__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### LOCALIZED_STRING_TYPE_FEATURE_COUNT

    static final int LOCALIZED_STRING_TYPE_FEATURE_COUNT

  The number of structural features of the 'Localized String Type' class.

  See Also:
    Constant Field Values

### MULTIPLE_DOCUMENT_SET_TYPE

    static final int MULTIPLE_DOCUMENT_SET_TYPE

  The meta object id for the '`Multiple Document Set Type`' class.

  See Also:
    `MultipleDocumentSetTypeImpl`, `MetadataPackageImpl.getMultipleDocumentSetType()`, Constant Field Values

### MULTIPLE_DOCUMENT_SET_TYPE__DOCUMENT_SET

    static final int MULTIPLE_DOCUMENT_SET_TYPE__DOCUMENT_SET

  The feature id for the 'Document Set' containment reference list.

  See Also:
    Constant Field Values

### MULTIPLE_DOCUMENT_SET_TYPE_FEATURE_COUNT

    static final int MULTIPLE_DOCUMENT_SET_TYPE_FEATURE_COUNT

  The number of structural features of the 'Multiple Document Set Type' class.

  See Also:
    Constant Field Values

### PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE

    static final int PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE

  The meta object id for the '`Provide And Register Document Set Type`' class.

  See Also:
    `ProvideAndRegisterDocumentSetTypeImpl`, `MetadataPackageImpl.getProvideAndRegisterDocumentSetType()`, Constant Field Values

### PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__SUBMISSION_SET

    static final int PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__SUBMISSION_SET

  The feature id for the 'Submission Set' containment reference.

  See Also:
    Constant Field Values

### PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__FOLDER

    static final int PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__FOLDER

  The feature id for the 'Folder' containment reference list.

  See Also:
    Constant Field Values

### PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__DOCUMENT_ENTRY

    static final int PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE__DOCUMENT_ENTRY

  The feature id for the 'Document Entry' containment reference list.

  See Also:
    Constant Field Values

### PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE_FEATURE_COUNT

    static final int PROVIDE_AND_REGISTER_DOCUMENT_SET_TYPE_FEATURE_COUNT

  The number of structural features of the 'Provide And Register Document Set Type' class.

  See Also:
    Constant Field Values

### SUBMISSION_SET_TYPE

    static final int SUBMISSION_SET_TYPE

  The meta object id for the '`Submission Set Type`' class.

  See Also:
    `SubmissionSetTypeImpl`, `MetadataPackageImpl.getSubmissionSetType()`, Constant Field Values

### SUBMISSION_SET_TYPE__ASSOCIATED_DOCUMENTS

    static final int SUBMISSION_SET_TYPE__ASSOCIATED_DOCUMENTS

  The feature id for the 'Associated Documents' attribute list.

  See Also:
    Constant Field Values

### SUBMISSION_SET_TYPE__ASSOCIATED_FOLDERS

    static final int SUBMISSION_SET_TYPE__ASSOCIATED_FOLDERS

  The feature id for the 'Associated Folders' attribute list.

  See Also:
    Constant Field Values

### SUBMISSION_SET_TYPE__AUTHOR

    static final int SUBMISSION_SET_TYPE__AUTHOR

  The feature id for the 'Author' containment reference list.

  See Also:
    Constant Field Values

### SUBMISSION_SET_TYPE__AVAILABILITY_STATUS

    static final int SUBMISSION_SET_TYPE__AVAILABILITY_STATUS

  The feature id for the 'Availability Status' attribute.

  See Also:
    Constant Field Values

### SUBMISSION_SET_TYPE__COMMENTS

    static final int SUBMISSION_SET_TYPE__COMMENTS

  The feature id for the 'Comments' containment reference.

  See Also:
    Constant Field Values

### SUBMISSION_SET_TYPE__CONTENT_TYPE_CODE

    static final int SUBMISSION_SET_TYPE__CONTENT_TYPE_CODE

  The feature id for the 'Content Type Code' containment reference.

  See Also:
    Constant Field Values

### SUBMISSION_SET_TYPE__ENTRY_UUID

    static final int SUBMISSION_SET_TYPE__ENTRY_UUID

  The feature id for the 'Entry UUID' attribute.

  See Also:
    Constant Field Values

### SUBMISSION_SET_TYPE__PATIENT_ID

    static final int SUBMISSION_SET_TYPE__PATIENT_ID

  The feature id for the 'Patient Id' containment reference.

  See Also:
    Constant Field Values

### SUBMISSION_SET_TYPE__SOURCE_ID

    static final int SUBMISSION_SET_TYPE__SOURCE_ID

  The feature id for the 'Source Id' attribute.

  See Also:
    Constant Field Values

### SUBMISSION_SET_TYPE__SUBMISSION_TIME

    static final int SUBMISSION_SET_TYPE__SUBMISSION_TIME

  The feature id for the 'Submission Time' attribute.

  See Also:
    Constant Field Values

### SUBMISSION_SET_TYPE__TITLE

    static final int SUBMISSION_SET_TYPE__TITLE

  The feature id for the 'Title' containment reference.

  See Also:
    Constant Field Values

### SUBMISSION_SET_TYPE__UNIQUE_ID

    static final int SUBMISSION_SET_TYPE__UNIQUE_ID

  The feature id for the 'Unique Id' attribute.

  See Also:
    Constant Field Values

### SUBMISSION_SET_TYPE_FEATURE_COUNT

    static final int SUBMISSION_SET_TYPE_FEATURE_COUNT

  The number of structural features of the 'Submission Set Type' class.

  See Also:
    Constant Field Values

### AVAILABILITY_STATUS_TYPE

    static final int AVAILABILITY_STATUS_TYPE

  The meta object id for the '`Availability Status Type`' enum.

  See Also:
    `AvailabilityStatusType`, `MetadataPackageImpl.getAvailabilityStatusType()`, Constant Field Values

### PARENT_DOCUMENT_RELATIONSHIP_TYPE

    static final int PARENT_DOCUMENT_RELATIONSHIP_TYPE

  The meta object id for the '`Parent Document Relationship Type`' enum.

  See Also:
    `ParentDocumentRelationshipType`, `MetadataPackageImpl.getParentDocumentRelationshipType()`, Constant Field Values

### AVAILABILITY_STATUS_TYPE_OBJECT

    static final int AVAILABILITY_STATUS_TYPE_OBJECT

  The meta object id for the 'Availability Status Type Object' data type.

  See Also:
    `AvailabilityStatusType`, `MetadataPackageImpl.getAvailabilityStatusTypeObject()`, Constant Field Values

### OID

    static final int OID

  The meta object id for the 'Oid' data type.

  See Also:
    `String`, `MetadataPackageImpl.getOid()`, Constant Field Values

### OID_EXTENSION

    static final int OID_EXTENSION

  The meta object id for the 'Oid Extension' data type.

  See Also:
    `String`, `MetadataPackageImpl.getOidExtension()`, Constant Field Values

### PARENT_DOCUMENT_RELATIONSHIP_TYPE_OBJECT

    static final int PARENT_DOCUMENT_RELATIONSHIP_TYPE_OBJECT

  The meta object id for the 'Parent Document Relationship Type Object' data type.

  See Also:
    `ParentDocumentRelationshipType`, `MetadataPackageImpl.getParentDocumentRelationshipTypeObject()`, Constant Field Values

### UUID

    static final int UUID

  The meta object id for the 'Uuid' data type.

  See Also:
    `String`, `MetadataPackageImpl.getUuid()`, Constant Field Values

Method Detail

### getAuthorType

    org.eclipse.emf.ecore.EClass getAuthorType()

  Returns the meta object for class '`Author Type`'.

  Returns:
    the meta object for class 'Author Type'.
  See Also:
    `AuthorType`

### getAuthorType_AuthorInstitution

    org.eclipse.emf.ecore.EReference getAuthorType_AuthorInstitution()

  Returns the meta object for the containment reference list '`Author Institution`'.

  Returns:
    the meta object for the containment reference list 'Author Institution'.
  See Also:
    `AuthorType.getAuthorInstitution()`, `getAuthorType()`

### getAuthorType_AuthorPerson

    org.eclipse.emf.ecore.EReference getAuthorType_AuthorPerson()

  Returns the meta object for the containment reference '`Author Person`'.

  Returns:
    the meta object for the containment reference 'Author Person'.
  See Also:
    `AuthorType.getAuthorPerson()`, `getAuthorType()`

### getAuthorType_AuthorRole

    org.eclipse.emf.ecore.EAttribute getAuthorType_AuthorRole()

  Returns the meta object for the attribute list '`Author Role`'.

  Returns:
    the meta object for the attribute list 'Author Role'.
  See Also:
    `AuthorType.getAuthorRole()`, `getAuthorType()`

### getAuthorType_AuthorSpeciality

    org.eclipse.emf.ecore.EAttribute getAuthorType_AuthorSpeciality()

  Returns the meta object for the attribute list '`Author Speciality`'.

  Returns:
    the meta object for the attribute list 'Author Speciality'.
  See Also:
    `AuthorType.getAuthorSpeciality()`, `getAuthorType()`

### getCodedMetadataType

    org.eclipse.emf.ecore.EClass getCodedMetadataType()

  Returns the meta object for class '`Coded Metadata Type`'.

  Returns:
    the meta object for class 'Coded Metadata Type'.
  See Also:
    `CodedMetadataType`

### getCodedMetadataType_Code

    org.eclipse.emf.ecore.EAttribute getCodedMetadataType_Code()

  Returns the meta object for the attribute '`Code`'.

  Returns:
    the meta object for the attribute 'Code'.
  See Also:
    `CodedMetadataType.getCode()`, `getCodedMetadataType()`

### getCodedMetadataType_DisplayName

    org.eclipse.emf.ecore.EReference getCodedMetadataType_DisplayName()

  Returns the meta object for the containment reference '`Display Name`'.

  Returns:
    the meta object for the containment reference 'Display Name'.
  See Also:
    `CodedMetadataType.getDisplayName()`, `getCodedMetadataType()`

### getCodedMetadataType_SchemeName

    org.eclipse.emf.ecore.EAttribute getCodedMetadataType_SchemeName()

  Returns the meta object for the attribute '`Scheme Name`'.

  Returns:
    the meta object for the attribute 'Scheme Name'.
  See Also:
    `CodedMetadataType.getSchemeName()`, `getCodedMetadataType()`

### getCodedMetadataType_SchemeUUID

    org.eclipse.emf.ecore.EAttribute getCodedMetadataType_SchemeUUID()

  Returns the meta object for the attribute '`Scheme UUID`'.

  Returns:
    the meta object for the attribute 'Scheme UUID'.
  See Also:
    `CodedMetadataType.getSchemeUUID()`, `getCodedMetadataType()`

### getDocumentEntryType

    org.eclipse.emf.ecore.EClass getDocumentEntryType()

  Returns the meta object for class '`Document Entry Type`'.

  Returns:
    the meta object for class 'Document Entry Type'.
  See Also:
    `DocumentEntryType`

### getDocumentEntryType_Author

    org.eclipse.emf.ecore.EReference getDocumentEntryType_Author()

  Returns the meta object for the containment reference list '`Author`'.

  Returns:
    the meta object for the containment reference list 'Author'.
  See Also:
    `DocumentEntryType.getAuthor()`, `getDocumentEntryType()`

### getDocumentEntryType_AvailabilityStatus

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_AvailabilityStatus()

  Returns the meta object for the attribute '`Availability Status`'.

  Returns:
    the meta object for the attribute 'Availability Status'.
  See Also:
    `DocumentEntryType.getAvailabilityStatus()`, `getDocumentEntryType()`

### getDocumentEntryType_ClassCode

    org.eclipse.emf.ecore.EReference getDocumentEntryType_ClassCode()

  Returns the meta object for the containment reference '`Class Code`'.

  Returns:
    the meta object for the containment reference 'Class Code'.
  See Also:
    `DocumentEntryType.getClassCode()`, `getDocumentEntryType()`

### getDocumentEntryType_Comments

    org.eclipse.emf.ecore.EReference getDocumentEntryType_Comments()

  Returns the meta object for the containment reference '`Comments`'.

  Returns:
    the meta object for the containment reference 'Comments'.
  See Also:
    `DocumentEntryType.getComments()`, `getDocumentEntryType()`

### getDocumentEntryType_ConfidentialityCode

    org.eclipse.emf.ecore.EReference getDocumentEntryType_ConfidentialityCode()

  Returns the meta object for the containment reference '`Confidentiality Code`'.

  Returns:
    the meta object for the containment reference 'Confidentiality Code'.
  See Also:
    `DocumentEntryType.getConfidentialityCode()`, `getDocumentEntryType()`

### getDocumentEntryType_CreationTime

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_CreationTime()

  Returns the meta object for the attribute '`Creation Time`'.

  Returns:
    the meta object for the attribute 'Creation Time'.
  See Also:
    `DocumentEntryType.getCreationTime()`, `getDocumentEntryType()`

### getDocumentEntryType_EntryUUID

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_EntryUUID()

  Returns the meta object for the attribute '`Entry UUID`'.

  Returns:
    the meta object for the attribute 'Entry UUID'.
  See Also:
    `DocumentEntryType.getEntryUUID()`, `getDocumentEntryType()`

### getDocumentEntryType_EventCode

    org.eclipse.emf.ecore.EReference getDocumentEntryType_EventCode()

  Returns the meta object for the containment reference list '`Event Code`'.

  Returns:
    the meta object for the containment reference list 'Event Code'.
  See Also:
    `DocumentEntryType.getEventCode()`, `getDocumentEntryType()`

### getDocumentEntryType_FormatCode

    org.eclipse.emf.ecore.EReference getDocumentEntryType_FormatCode()

  Returns the meta object for the containment reference '`Format Code`'.

  Returns:
    the meta object for the containment reference 'Format Code'.
  See Also:
    `DocumentEntryType.getFormatCode()`, `getDocumentEntryType()`

### getDocumentEntryType_Hash

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_Hash()

  Returns the meta object for the attribute '`Hash`'.

  Returns:
    the meta object for the attribute 'Hash'.
  See Also:
    `DocumentEntryType.getHash()`, `getDocumentEntryType()`

### getDocumentEntryType_HealthCareFacilityTypeCode

    org.eclipse.emf.ecore.EReference getDocumentEntryType_HealthCareFacilityTypeCode()

  Returns the meta object for the containment reference '`Health Care Facility Type Code`'.

  Returns:
    the meta object for the containment reference 'Health Care Facility Type Code'.
  See Also:
    `DocumentEntryType.getHealthCareFacilityTypeCode()`, `getDocumentEntryType()`

### getDocumentEntryType_LanguageCode

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_LanguageCode()

  Returns the meta object for the attribute '`Language Code`'.

  Returns:
    the meta object for the attribute 'Language Code'.
  See Also:
    `DocumentEntryType.getLanguageCode()`, `getDocumentEntryType()`

### getDocumentEntryType_LegalAuthenticator

    org.eclipse.emf.ecore.EReference getDocumentEntryType_LegalAuthenticator()

  Returns the meta object for the containment reference '`Legal Authenticator`'.

  Returns:
    the meta object for the containment reference 'Legal Authenticator'.
  See Also:
    `DocumentEntryType.getLegalAuthenticator()`, `getDocumentEntryType()`

### getDocumentEntryType_MimeType

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_MimeType()

  Returns the meta object for the attribute '`Mime Type`'.

  Returns:
    the meta object for the attribute 'Mime Type'.
  See Also:
    `DocumentEntryType.getMimeType()`, `getDocumentEntryType()`

### getDocumentEntryType_ParentDocumentRelationship

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_ParentDocumentRelationship()

  Returns the meta object for the attribute '`Parent Document Relationship`'.

  Returns:
    the meta object for the attribute 'Parent Document Relationship'.
  See Also:
    `DocumentEntryType.getParentDocumentRelationship()`, `getDocumentEntryType()`

### getDocumentEntryType_ParentDocumentId

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_ParentDocumentId()

  Returns the meta object for the attribute '`Parent Document Id`'.

  Returns:
    the meta object for the attribute 'Parent Document Id'.
  See Also:
    `DocumentEntryType.getParentDocumentId()`, `getDocumentEntryType()`

### getDocumentEntryType_PatientId

    org.eclipse.emf.ecore.EReference getDocumentEntryType_PatientId()

  Returns the meta object for the containment reference '`Patient Id`'.

  Returns:
    the meta object for the containment reference 'Patient Id'.
  See Also:
    `DocumentEntryType.getPatientId()`, `getDocumentEntryType()`

### getDocumentEntryType_PracticeSettingCode

    org.eclipse.emf.ecore.EReference getDocumentEntryType_PracticeSettingCode()

  Returns the meta object for the containment reference '`Practice Setting Code`'.

  Returns:
    the meta object for the containment reference 'Practice Setting Code'.
  See Also:
    `DocumentEntryType.getPracticeSettingCode()`, `getDocumentEntryType()`

### getDocumentEntryType_ServiceStartTime

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_ServiceStartTime()

  Returns the meta object for the attribute '`Service Start Time`'.

  Returns:
    the meta object for the attribute 'Service Start Time'.
  See Also:
    `DocumentEntryType.getServiceStartTime()`, `getDocumentEntryType()`

### getDocumentEntryType_ServiceStopTime

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_ServiceStopTime()

  Returns the meta object for the attribute '`Service Stop Time`'.

  Returns:
    the meta object for the attribute 'Service Stop Time'.
  See Also:
    `DocumentEntryType.getServiceStopTime()`, `getDocumentEntryType()`

### getDocumentEntryType_SourcePatientId

    org.eclipse.emf.ecore.EReference getDocumentEntryType_SourcePatientId()

  Returns the meta object for the containment reference '`Source Patient Id`'.

  Returns:
    the meta object for the containment reference 'Source Patient Id'.
  See Also:
    `DocumentEntryType.getSourcePatientId()`, `getDocumentEntryType()`

### getDocumentEntryType_Size

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_Size()

  Returns the meta object for the attribute '`Size`'.

  Returns:
    the meta object for the attribute 'Size'.
  See Also:
    `DocumentEntryType.getSize()`, `getDocumentEntryType()`

### getDocumentEntryType_SourcePatientInfo

    org.eclipse.emf.ecore.EReference getDocumentEntryType_SourcePatientInfo()

  Returns the meta object for the containment reference '`Source Patient Info`'.

  Returns:
    the meta object for the containment reference 'Source Patient Info'.
  See Also:
    `DocumentEntryType.getSourcePatientInfo()`, `getDocumentEntryType()`

### getDocumentEntryType_Title

    org.eclipse.emf.ecore.EReference getDocumentEntryType_Title()

  Returns the meta object for the containment reference '`Title`'.

  Returns:
    the meta object for the containment reference 'Title'.
  See Also:
    `DocumentEntryType.getTitle()`, `getDocumentEntryType()`

### getDocumentEntryType_TypeCode

    org.eclipse.emf.ecore.EReference getDocumentEntryType_TypeCode()

  Returns the meta object for the containment reference '`Type Code`'.

  Returns:
    the meta object for the containment reference 'Type Code'.
  See Also:
    `DocumentEntryType.getTypeCode()`, `getDocumentEntryType()`

### getDocumentEntryType_UniqueId

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_UniqueId()

  Returns the meta object for the attribute '`Unique Id`'.

  Returns:
    the meta object for the attribute 'Unique Id'.
  See Also:
    `DocumentEntryType.getUniqueId()`, `getDocumentEntryType()`

### getDocumentEntryType_Uri

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_Uri()

  Returns the meta object for the attribute '`Uri`'.

  Returns:
    the meta object for the attribute 'Uri'.
  See Also:
    `DocumentEntryType.getUri()`, `getDocumentEntryType()`

### getDocumentEntryType_Existing

    org.eclipse.emf.ecore.EAttribute getDocumentEntryType_Existing()

  Returns the meta object for the attribute '`Existing`'.

  Returns:
    the meta object for the attribute 'Existing'.
  See Also:
    `DocumentEntryType.isExisting()`, `getDocumentEntryType()`

### getDocumentRoot

    org.eclipse.emf.ecore.EClass getDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Returns the meta object for the map '`XMLNS Prefix Map`'.

  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Returns the meta object for the map '`XSI Schema Location`'.

  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `getDocumentRoot()`

### getDocumentRoot_DocumentEntry

    org.eclipse.emf.ecore.EReference getDocumentRoot_DocumentEntry()

  Returns the meta object for the containment reference '`Document Entry`'.

  Returns:
    the meta object for the containment reference 'Document Entry'.
  See Also:
    `DocumentRoot.getDocumentEntry()`, `getDocumentRoot()`

### getDocumentRoot_Folder

    org.eclipse.emf.ecore.EReference getDocumentRoot_Folder()

  Returns the meta object for the containment reference '`Folder`'.

  Returns:
    the meta object for the containment reference 'Folder'.
  See Also:
    `DocumentRoot.getFolder()`, `getDocumentRoot()`

### getDocumentRoot_MultipleDocumentSet

    org.eclipse.emf.ecore.EReference getDocumentRoot_MultipleDocumentSet()

  Returns the meta object for the containment reference '`Multiple Document Set`'.

  Returns:
    the meta object for the containment reference 'Multiple Document Set'.
  See Also:
    `DocumentRoot.getMultipleDocumentSet()`, `getDocumentRoot()`

### getDocumentRoot_ProvideAndRegisterDocumentSet

    org.eclipse.emf.ecore.EReference getDocumentRoot_ProvideAndRegisterDocumentSet()

  Returns the meta object for the containment reference '`Provide And Register Document Set`'.

  Returns:
    the meta object for the containment reference 'Provide And Register Document Set'.
  See Also:
    `DocumentRoot.getProvideAndRegisterDocumentSet()`, `getDocumentRoot()`

### getDocumentRoot_SubmissionSet

    org.eclipse.emf.ecore.EReference getDocumentRoot_SubmissionSet()

  Returns the meta object for the containment reference '`Submission Set`'.

  Returns:
    the meta object for the containment reference 'Submission Set'.
  See Also:
    `DocumentRoot.getSubmissionSet()`, `getDocumentRoot()`

### getFolderType

    org.eclipse.emf.ecore.EClass getFolderType()

  Returns the meta object for class '`Folder Type`'.

  Returns:
    the meta object for class 'Folder Type'.
  See Also:
    `FolderType`

### getFolderType_AssociatedDocuments

    org.eclipse.emf.ecore.EAttribute getFolderType_AssociatedDocuments()

  Returns the meta object for the attribute list '`Associated Documents`'.

  Returns:
    the meta object for the attribute list 'Associated Documents'.
  See Also:
    `FolderType.getAssociatedDocuments()`, `getFolderType()`

### getFolderType_AvailabilityStatus

    org.eclipse.emf.ecore.EAttribute getFolderType_AvailabilityStatus()

  Returns the meta object for the attribute '`Availability Status`'.

  Returns:
    the meta object for the attribute 'Availability Status'.
  See Also:
    `FolderType.getAvailabilityStatus()`, `getFolderType()`

### getFolderType_Code

    org.eclipse.emf.ecore.EReference getFolderType_Code()

  Returns the meta object for the containment reference list '`Code`'.

  Returns:
    the meta object for the containment reference list 'Code'.
  See Also:
    `FolderType.getCode()`, `getFolderType()`

### getFolderType_Comments

    org.eclipse.emf.ecore.EReference getFolderType_Comments()

  Returns the meta object for the containment reference '`Comments`'.

  Returns:
    the meta object for the containment reference 'Comments'.
  See Also:
    `FolderType.getComments()`, `getFolderType()`

### getFolderType_EntryUUID

    org.eclipse.emf.ecore.EAttribute getFolderType_EntryUUID()

  Returns the meta object for the attribute '`Entry UUID`'.

  Returns:
    the meta object for the attribute 'Entry UUID'.
  See Also:
    `FolderType.getEntryUUID()`, `getFolderType()`

### getFolderType_LastUpdateTime

    org.eclipse.emf.ecore.EAttribute getFolderType_LastUpdateTime()

  Returns the meta object for the attribute '`Last Update Time`'.

  Returns:
    the meta object for the attribute 'Last Update Time'.
  See Also:
    `FolderType.getLastUpdateTime()`, `getFolderType()`

### getFolderType_PatientId

    org.eclipse.emf.ecore.EReference getFolderType_PatientId()

  Returns the meta object for the containment reference '`Patient Id`'.

  Returns:
    the meta object for the containment reference 'Patient Id'.
  See Also:
    `FolderType.getPatientId()`, `getFolderType()`

### getFolderType_Title

    org.eclipse.emf.ecore.EReference getFolderType_Title()

  Returns the meta object for the containment reference '`Title`'.

  Returns:
    the meta object for the containment reference 'Title'.
  See Also:
    `FolderType.getTitle()`, `getFolderType()`

### getFolderType_UniqueId

    org.eclipse.emf.ecore.EAttribute getFolderType_UniqueId()

  Returns the meta object for the attribute '`Unique Id`'.

  Returns:
    the meta object for the attribute 'Unique Id'.
  See Also:
    `FolderType.getUniqueId()`, `getFolderType()`

### getFolderType_Existing

    org.eclipse.emf.ecore.EAttribute getFolderType_Existing()

  Returns the meta object for the attribute '`Existing`'.

  Returns:
    the meta object for the attribute 'Existing'.
  See Also:
    `FolderType.isExisting()`, `getFolderType()`

### getInternationalStringType

    org.eclipse.emf.ecore.EClass getInternationalStringType()

  Returns the meta object for class '`International String Type`'.

  Returns:
    the meta object for class 'International String Type'.
  See Also:
    `InternationalStringType`

### getInternationalStringType_Group

    org.eclipse.emf.ecore.EAttribute getInternationalStringType_Group()

  Returns the meta object for the attribute list '`Group`'.

  Returns:
    the meta object for the attribute list 'Group'.
  See Also:
    `InternationalStringType.getGroup()`, `getInternationalStringType()`

### getInternationalStringType_LocalizedString

    org.eclipse.emf.ecore.EReference getInternationalStringType_LocalizedString()

  Returns the meta object for the containment reference list '`Localized String`'.

  Returns:
    the meta object for the containment reference list 'Localized String'.
  See Also:
    `InternationalStringType.getLocalizedString()`, `getInternationalStringType()`

### getLocalizedStringType

    org.eclipse.emf.ecore.EClass getLocalizedStringType()

  Returns the meta object for class '`Localized String Type`'.

  Returns:
    the meta object for class 'Localized String Type'.
  See Also:
    `LocalizedStringType`

### getLocalizedStringType_Charset

    org.eclipse.emf.ecore.EAttribute getLocalizedStringType_Charset()

  Returns the meta object for the attribute '`Charset`'.

  Returns:
    the meta object for the attribute 'Charset'.
  See Also:
    `LocalizedStringType.getCharset()`, `getLocalizedStringType()`

### getLocalizedStringType_Lang

    org.eclipse.emf.ecore.EAttribute getLocalizedStringType_Lang()

  Returns the meta object for the attribute '`Lang`'.

  Returns:
    the meta object for the attribute 'Lang'.
  See Also:
    `LocalizedStringType.getLang()`, `getLocalizedStringType()`

### getLocalizedStringType_Value

    org.eclipse.emf.ecore.EAttribute getLocalizedStringType_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `LocalizedStringType.getValue()`, `getLocalizedStringType()`

### getMultipleDocumentSetType

    org.eclipse.emf.ecore.EClass getMultipleDocumentSetType()

  Returns the meta object for class '`Multiple Document Set Type`'.

  Returns:
    the meta object for class 'Multiple Document Set Type'.
  See Also:
    `MultipleDocumentSetType`

### getMultipleDocumentSetType_DocumentSet

    org.eclipse.emf.ecore.EReference getMultipleDocumentSetType_DocumentSet()

  Returns the meta object for the containment reference list '`Document Set`'.

  Returns:
    the meta object for the containment reference list 'Document Set'.
  See Also:
    `MultipleDocumentSetType.getDocumentSet()`, `getMultipleDocumentSetType()`

### getProvideAndRegisterDocumentSetType

    org.eclipse.emf.ecore.EClass getProvideAndRegisterDocumentSetType()

  Returns the meta object for class '`Provide And Register Document Set Type`'.

  Returns:
    the meta object for class 'Provide And Register Document Set Type'.
  See Also:
    `ProvideAndRegisterDocumentSetType`

### getProvideAndRegisterDocumentSetType_SubmissionSet

    org.eclipse.emf.ecore.EReference getProvideAndRegisterDocumentSetType_SubmissionSet()

  Returns the meta object for the containment reference '`Submission Set`'.

  Returns:
    the meta object for the containment reference 'Submission Set'.
  See Also:
    `ProvideAndRegisterDocumentSetType.getSubmissionSet()`, `getProvideAndRegisterDocumentSetType()`

### getProvideAndRegisterDocumentSetType_Folder

    org.eclipse.emf.ecore.EReference getProvideAndRegisterDocumentSetType_Folder()

  Returns the meta object for the containment reference list '`Folder`'.

  Returns:
    the meta object for the containment reference list 'Folder'.
  See Also:
    `ProvideAndRegisterDocumentSetType.getFolder()`, `getProvideAndRegisterDocumentSetType()`

### getProvideAndRegisterDocumentSetType_DocumentEntry

    org.eclipse.emf.ecore.EReference getProvideAndRegisterDocumentSetType_DocumentEntry()

  Returns the meta object for the containment reference list '`Document Entry`'.

  Returns:
    the meta object for the containment reference list 'Document Entry'.
  See Also:
    `ProvideAndRegisterDocumentSetType.getDocumentEntry()`, `getProvideAndRegisterDocumentSetType()`

### getSubmissionSetType

    org.eclipse.emf.ecore.EClass getSubmissionSetType()

  Returns the meta object for class '`Submission Set Type`'.

  Returns:
    the meta object for class 'Submission Set Type'.
  See Also:
    `SubmissionSetType`

### getSubmissionSetType_AssociatedDocuments

    org.eclipse.emf.ecore.EAttribute getSubmissionSetType_AssociatedDocuments()

  Returns the meta object for the attribute list '`Associated Documents`'.

  Returns:
    the meta object for the attribute list 'Associated Documents'.
  See Also:
    `SubmissionSetType.getAssociatedDocuments()`, `getSubmissionSetType()`

### getSubmissionSetType_AssociatedFolders

    org.eclipse.emf.ecore.EAttribute getSubmissionSetType_AssociatedFolders()

  Returns the meta object for the attribute list '`Associated Folders`'.

  Returns:
    the meta object for the attribute list 'Associated Folders'.
  See Also:
    `SubmissionSetType.getAssociatedFolders()`, `getSubmissionSetType()`

### getSubmissionSetType_Author

    org.eclipse.emf.ecore.EReference getSubmissionSetType_Author()

  Returns the meta object for the containment reference list '`Author`'.

  Returns:
    the meta object for the containment reference list 'Author'.
  See Also:
    `SubmissionSetType.getAuthor()`, `getSubmissionSetType()`

### getSubmissionSetType_AvailabilityStatus

    org.eclipse.emf.ecore.EAttribute getSubmissionSetType_AvailabilityStatus()

  Returns the meta object for the attribute '`Availability Status`'.

  Returns:
    the meta object for the attribute 'Availability Status'.
  See Also:
    `SubmissionSetType.getAvailabilityStatus()`, `getSubmissionSetType()`

### getSubmissionSetType_Comments

    org.eclipse.emf.ecore.EReference getSubmissionSetType_Comments()

  Returns the meta object for the containment reference '`Comments`'.

  Returns:
    the meta object for the containment reference 'Comments'.
  See Also:
    `SubmissionSetType.getComments()`, `getSubmissionSetType()`

### getSubmissionSetType_ContentTypeCode

    org.eclipse.emf.ecore.EReference getSubmissionSetType_ContentTypeCode()

  Returns the meta object for the containment reference '`Content Type Code`'.

  Returns:
    the meta object for the containment reference 'Content Type Code'.
  See Also:
    `SubmissionSetType.getContentTypeCode()`, `getSubmissionSetType()`

### getSubmissionSetType_EntryUUID

    org.eclipse.emf.ecore.EAttribute getSubmissionSetType_EntryUUID()

  Returns the meta object for the attribute '`Entry UUID`'.

  Returns:
    the meta object for the attribute 'Entry UUID'.
  See Also:
    `SubmissionSetType.getEntryUUID()`, `getSubmissionSetType()`

### getSubmissionSetType_PatientId

    org.eclipse.emf.ecore.EReference getSubmissionSetType_PatientId()

  Returns the meta object for the containment reference '`Patient Id`'.

  Returns:
    the meta object for the containment reference 'Patient Id'.
  See Also:
    `SubmissionSetType.getPatientId()`, `getSubmissionSetType()`

### getSubmissionSetType_SourceId

    org.eclipse.emf.ecore.EAttribute getSubmissionSetType_SourceId()

  Returns the meta object for the attribute '`Source Id`'.

  Returns:
    the meta object for the attribute 'Source Id'.
  See Also:
    `SubmissionSetType.getSourceId()`, `getSubmissionSetType()`

### getSubmissionSetType_SubmissionTime

    org.eclipse.emf.ecore.EAttribute getSubmissionSetType_SubmissionTime()

  Returns the meta object for the attribute '`Submission Time`'.

  Returns:
    the meta object for the attribute 'Submission Time'.
  See Also:
    `SubmissionSetType.getSubmissionTime()`, `getSubmissionSetType()`

### getSubmissionSetType_Title

    org.eclipse.emf.ecore.EReference getSubmissionSetType_Title()

  Returns the meta object for the containment reference '`Title`'.

  Returns:
    the meta object for the containment reference 'Title'.
  See Also:
    `SubmissionSetType.getTitle()`, `getSubmissionSetType()`

### getSubmissionSetType_UniqueId

    org.eclipse.emf.ecore.EAttribute getSubmissionSetType_UniqueId()

  Returns the meta object for the attribute '`Unique Id`'.

  Returns:
    the meta object for the attribute 'Unique Id'.
  See Also:
    `SubmissionSetType.getUniqueId()`, `getSubmissionSetType()`

### getAvailabilityStatusType

    org.eclipse.emf.ecore.EEnum getAvailabilityStatusType()

  Returns the meta object for enum '`Availability Status Type`'.

  Returns:
    the meta object for enum 'Availability Status Type'.
  See Also:
    `AvailabilityStatusType`

### getParentDocumentRelationshipType

    org.eclipse.emf.ecore.EEnum getParentDocumentRelationshipType()

  Returns the meta object for enum '`Parent Document Relationship Type`'.

  Returns:
    the meta object for enum 'Parent Document Relationship Type'.
  See Also:
    `ParentDocumentRelationshipType`

### getAvailabilityStatusTypeObject

    org.eclipse.emf.ecore.EDataType getAvailabilityStatusTypeObject()

  Returns the meta object for data type '`Availability Status Type Object`'.

  Returns:
    the meta object for data type 'Availability Status Type Object'.
  See Also:
    `AvailabilityStatusType`

### getOid

    org.eclipse.emf.ecore.EDataType getOid()

  Returns the meta object for data type '`Oid`'.

  Returns:
    the meta object for data type 'Oid'.
  See Also:
    `String`

### getOidExtension

    org.eclipse.emf.ecore.EDataType getOidExtension()

  Returns the meta object for data type '`Oid Extension`'.

  Returns:
    the meta object for data type 'Oid Extension'.
  See Also:
    `String`

### getParentDocumentRelationshipTypeObject

    org.eclipse.emf.ecore.EDataType getParentDocumentRelationshipTypeObject()

  Returns the meta object for data type '`Parent Document Relationship Type Object`'.

  Returns:
    the meta object for data type 'Parent Document Relationship Type Object'.
  See Also:
    `ParentDocumentRelationshipType`

### getUuid

    org.eclipse.emf.ecore.EDataType getUuid()

  Returns the meta object for data type '`Uuid`'.

  Returns:
    the meta object for data type 'Uuid'.
  See Also:
    `String`

### getMetadataFactory

    MetadataFactory getMetadataFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD